/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workstaff.entity.WorkStaffBasicInfo;

import java.util.List;

/**
 * 员工基本信息DAO接口
 * @author ssrh
 * @version 2018-07-26
 */
@MyBatisDao
public interface WorkStaffBasicInfoDao extends CrudDao<WorkStaffBasicInfo> {

    public WorkStaffBasicInfo  getWorkStaffBasicInfo(String id);//根据用户获取用户入职信息
    public Integer getByCompany(WorkStaffBasicInfo workStaffBasicInfo);//根据用户获取用户入职信息
    public WorkStaffBasicInfo getByCompanyInfo(WorkStaffBasicInfo workStaffBasicInfo);//根据用户获取用户入职信息

    public  String queryMaxNoWithCompany(WorkStaffBasicInfo workStaffBasicInfo);

    public List<WorkStaffBasicInfo>  findUserList(WorkStaffBasicInfo workStaffBasicInfo);

    List<WorkStaffBasicInfo> findListByIdCard(WorkStaffBasicInfo select);

    List<WorkStaffBasicInfo> findListByRoleList(WorkStaffBasicInfo select);

    List<WorkStaffBasicInfo> findListByAchiveId(WorkStaffBasicInfo workStaffBasicInfo);

    List<WorkStaffBasicInfo> findListByUserId(WorkStaffBasicInfo workStaffBasicInfo);
}